Bug 187186 - Review Request: up-imapproxy
Review Request: up-imapproxy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 20:54 EST by David Rees
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 18:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file mentioned in Comment #8 (15.89 KB, text/plain)
2006-04-26 15:48 EDT, Paul Howarth
no flags Details

  None (edit)
Description David Rees 2006-03-28 20:54:31 EST
Spec Name or Url: http://www.greenhydrant.com/~drees/rpms/up-imapproxy/up-imapproxy.spec
SRPM Name or Url: http://www.greenhydrant.com/~drees/rpms/up-imapproxy/up-imapproxy-1.2.4-5.src.rpm
Description: 

This is my first review request, but hopefully not my last! ;-)

up-imapproxy is already in Fedora Extras, but does not build on FC5. It is already available for download for FC5, but won't install because of dependancy problems due to the openssl update in FC5.

I have created a patch which allows it to build on FC5, and still builds on FC4 (I have not tested any other versions of Fedora, but I expect them to build OK as well). I have submitted this package for review as it seems that the owner is not available to update the package given that he hasn't responded to the other open bugs regarding this package. See bug #185729 and duplicate bug #185895 related to the FC5 build/dependancy problems.
Comment 1 Paul Howarth 2006-03-29 05:35:28 EST
If the maintainer of up-imapproxy is not responding to bug reports, the package
is a candidate for being orphaned (see
http://fedoraproject.org/wiki/Extras/OrphanedPackages). I'd suggest starting the
process for orpahning the package and volunteering to take it over rather than
raising a new one.

On the other hand, if you're not a current maintainer in Extras, you'll need
sponsoring, and going through a review process (and reviewing other packages) is
a route to getting sponsored, so there's probably merit in this rreview equest
anyway.
Comment 2 David Rees 2006-03-29 15:11:27 EST
OK, I guess I'll start the Orphaning process and once that is complete, we can
start the review process? Can I take ownership of a package without being a
current maintainer or being sponsored?
Comment 3 Thorsten Leemhuis (ignored mailbox) 2006-03-29 23:42:48 EST
(In reply to comment #2)
> OK, I guess I'll start the Orphaning process 

Please wait some days -- I got a private reply from the uw-maintainer. I asked
him to comment in this bug.
Comment 4 Paul Howarth 2006-04-12 03:02:10 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > OK, I guess I'll start the Orphaning process 
> 
> Please wait some days -- I got a private reply from the uw-maintainer. I asked
> him to comment in this bug.

Still no comment from the current maintainer here after two weeks, nor on bug
#185729 and still no rebuild for FC5...

Is there any reason why this package *shouldn't* be orphaned?
Comment 5 Paul Howarth 2006-04-21 13:14:21 EDT
I've now listed up-imapproxy on the OrphanedPackages page on the wiki.

Some of the warning messages produced during the build of this package are
rather worrying. For example:

src/request.c: In function 'HandleRequest':
src/request.c:1832: warning: too few arguments for format
src/request.c: In function 'cmd_authenticate_login':
src/request.c:659: warning: call to __builtin___snprintf_chk will always
overflow destination buffer
src/request.c:715: warning: call to __builtin___snprintf_chk will always
overflow destination buffer

I'd like to see these cleaned up before doing a full review.
Comment 6 David Rees 2006-04-21 13:42:52 EDT
I'll work on these issues this weekend unless the original maintainer
jeff@ultimateevil.org (who I've added to the CC list) steps back up.
Comment 7 David Rees 2006-04-26 13:34:12 EDT
Paul, I don't see those warnings when building here. Are you using different CFLAGS?
Comment 8 Paul Howarth 2006-04-26 15:47:28 EDT
(In reply to comment #7)
> Paul, I don't see those warnings when building here. Are you using different
CFLAGS?

It was a mock build for rawhide. I'll attach the build.log.

Comment 9 Paul Howarth 2006-04-26 15:48:57 EDT
Created attachment 128271 [details]
Log file mentioned in Comment #8
Comment 10 Jeff Carlson 2006-04-26 16:21:18 EDT
Hey guys, I'm still here.  Unfortunately I had a hardware failure which left me
disconnected from the rest of the world for a bit and also held my ssh key
hostage.  I just got a new laptop and rescued my data from the dead machine, and
I'm just about ready to push up the update to this package.  Please close this
bug and let me know that it's ok for me to procede.

Please feel free to contact me via regular email, I'll try to be as responsive
as possible.
Comment 11 David Rees 2006-04-26 18:05:57 EDT
Sounds good, Jeff.
Comment 12 Paul Howarth 2006-04-27 03:51:06 EDT
(In reply to comment #10)
> Hey guys, I'm still here.  Unfortunately I had a hardware failure which left me
> disconnected from the rest of the world for a bit and also held my ssh key
> hostage.  I just got a new laptop and rescued my data from the dead machine, and
> I'm just about ready to push up the update to this package.  Please close this
> bug and let me know that it's ok for me to procede.
> 
> Please feel free to contact me via regular email, I'll try to be as responsive
> as possible.

Jeff, are you going to fix the issue raised in Comment #5 with the update?

You'll need to remove the package from the OrphanedPackages page on the wiki too
if you haven't already done so.

Comment 13 Jeff Carlson 2006-04-27 07:44:02 EDT
Ok, removed from OrphanedPackages.

I do see this error when building on FC5.  I know upstream is preparing a new
release, hopefully this will be corrected.  I don't know how to fix this error
myself.  Is it still ok to schedule a build?
Comment 14 Paul Howarth 2006-04-27 08:22:58 EDT
(In reply to comment #13)
> Ok, removed from OrphanedPackages.
> 
> I do see this error when building on FC5.  I know upstream is preparing a new
> release, hopefully this will be corrected.  I don't know how to fix this error
> myself.  Is it still ok to schedule a build?

Up to you. I'd push upstream to look at this sooner rather than later though.
Comment 15 Jeff Carlson 2006-04-27 10:13:53 EDT
(In reply to comment #14)
> Up to you. I'd push upstream to look at this sooner rather than later though.

Ok, I'm gonna get the build out there as soon as I can, and I'll notify the
developer list.

Note You need to log in before you can comment on or make changes to this bug.